\version "2.19.80"

\include "shorthands.ily"
\include "modernStyle.ily"
\include "incipits.ily"

\include "agnusSource.ily"

\header {
  taglineB = "Biblioteca Nacional de España. Folio 64v - 66r."
}

\score {
  \header {
    piece = "Agnus Dei a6"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      \new Staff \with {
        instrumentName = "Soprano 1"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopOne
        {
          \incipitAgnusTipleOne
          
          %same rhythmic values
          \shiftDurations #0 #0 {  \agnusATipleOne \agnusBTipleOne   }

          %reduce rhythmic values by half
          %\shiftDurations #1 #0 { \autoBeamOff \Music }

        }
      }
      \new Lyrics \lyricsto SopOne { \agnusATipleOneWords \agnusBTipleOneWords }

      \new Staff \with {
        instrumentName = "Soprano 2"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitAgnusTipleTwo
          
          %same rhythmic values
          \shiftDurations #0 #0 {  \agnusATipleTwo \agnusBTipleTwo  }

        }
      }
      \new Lyrics \lyricsto SopTwo { \agnusATipleTwoWords \agnusBTipleTwoWords }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitAgnusAlto
          
          %same rhythmic values
          \shiftDurations #0 #0 { \agnusAAlto \agnusBAlto }

        }
      }
      \new Lyrics \lyricsto Alto { \agnusAAltoWords \agnusBAltoWords }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          \incipitAgnusTenor
          
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8" \agnusATenor \agnusBTenor }

        }
      }
      \new Lyrics \lyricsto Tenor { \agnusATenorWords \agnusBTenorWords }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitAgnusBaxoOne
          
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass \agnusABaxoOne \agnusBBaxoOne }

        }
      }
      \new Lyrics \lyricsto BassOne { \agnusABaxoOneWords \agnusBBaxoOneWords }

      \new Staff \with {
        instrumentName = "Bass 2"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassTwo
        {
          \incipitAgnusBaxoTwo
          
          %same rhythmic values
          \shiftDurations #0 #0 { \clef bass \agnusABaxoTwo \agnusBBaxoTwo }

        }
      }
      \new Lyrics \lyricsto BassTwo { \agnusABaxoTwoWords \agnusBBaxoTwoWords }
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}
